package com.ruoyi.project.sems.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TSpecdevDt;
import com.ruoyi.project.sems.domain.TSpecdevDzsb;
import com.ruoyi.project.sems.his.domain.TSpechiDt;

/**
 * 特种设备电梯台账历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface TSpechiDtMapper 
{
    /**
     * 查询特种设备电梯台账历史
     * 
     * @param id 特种设备电梯台账历史ID
     * @return 特种设备电梯台账历史
     */
    public TSpechiDt selectTSpechiDtById(Long id);

    /**
     * 查询特种设备电梯台账历史列表
     * 
     * @param tSpechiDt 特种设备电梯台账历史
     * @return 特种设备电梯台账历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpechiDt> selectTSpechiDtList(TSpechiDt tSpechiDt);

    /**
     * 新增特种设备电梯台账历史
     * 
     * @param tSpechiDt 特种设备电梯台账历史
     * @return 结果
     */
    public int insertTSpechiDt(TSpechiDt tSpechiDt);

    /**
     * 使用台账对象新增特种设备吊装设备台账历史
     * @param tSpecdevDt 特种设备吊装设备台账对象
     * @returnDzsb
     */
    public int insertTSpechiDtByDev(TSpecdevDt tSpecdevDt);

    /**
     * 修改特种设备电梯台账历史
     * 
     * @param tSpechiDt 特种设备电梯台账历史
     * @return 结果
     */
    public int updateTSpechiDt(TSpechiDt tSpechiDt);

    /**
     * 删除特种设备电梯台账历史
     * 
     * @param id 特种设备电梯台账历史ID
     * @return 结果
     */
    public int deleteTSpechiDtById(Long id);

    /**
     * 批量删除特种设备电梯台账历史
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpechiDtByIds(Long[] ids);

    public List<TSpechiDt> selectTSpechiDtByReform(Long devId);

    /**
     * 根据devId删除台账历史
     * @param devId
     * @return
     */
    public int deleteTSpechiDtByDevId(Long devId);
}
